from django.conf.urls import include, url
from django.contrib import admin
import views

admin.autodiscover()

urlpatterns = [
    # Examples:
    url(r'^o/', include('oauth2_provider.urls', namespace='oauth2_provider')),
    url(r'^api/hello', views.SecurityApi.as_view()),
    url(r'^sign$', views.sign),
    url(r'^letsencrypt$', views.letsencrypt),
    url(r'^\.well-known/acme-challenge/(.+)', views.letsencrypt_challenge),
    url(r'^(.*)$', views.home, name='home'),
]
